Package it.ernytech.tdlib

## Class TdApi.UploadStickerFile

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.UploadStickerFile

Enclosing class:
  TdApi

    public static class TdApi.UploadStickerFile
    extends TdApi.Function

Uploads a PNG image with a sticker; for bots only; returns the uploaded file.

Returns `File`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InputFile` `pngSticker` PNG image with the sticker; must be up to 512 kB in size and fit in 512x512 square.
`int` `userId` Sticker file owner.

### Constructor Summary

Constructors
`UploadStickerFile()` Default constructor.
`UploadStickerFile​(int userId, TdApi.InputFile pngSticker)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### userId

    public int userId

Sticker file owner.

#### pngSticker

    public TdApi.InputFile pngSticker

PNG image with the sticker; must be up to 512 kB in size and fit in 512x512 square.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UploadStickerFile

    public UploadStickerFile()

Default constructor.

#### UploadStickerFile

    public UploadStickerFile​(int userId,
                             TdApi.InputFile pngSticker)

Constructor for initialization of all fields.

Parameters:
  `userId` - Sticker file owner.
  `pngSticker` - PNG image with the sticker; must be up to 512 kB in size and fit in 512x512 square.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR